/*
 * Copyright (c) 2002 Toukan Ltd
 * All rights reserved
 *
 * Authors: Sergey Lyubka
 * Description:
 *   BSD - specific definitions.
 *   this file is a part of xtrace project
 *
 * $Id: bsd.h,v 1.4 2002/05/20 10:08:31 drozd Exp $
 */

#ifndef __BSD__H
#define __BSD__H

#include <sys/ioctl.h>
#include <sys/pioctl.h>

/* BSD - specific data */
struct bsddata {
	int procfd;			/* procfs 'mem' file descriptor */
	int regsfd;			/* procfs 'regs' file descriptor */
	int ctlfd;			/* procfs 'ctl' file descriptor */
	struct procfs_status status;
	long evnts, oevnts;		/* current and old event mask */
	struct opt *op;			/* ptr to options */
};


int ctl(int fd, const char *cmd);
void handle_signal(struct opt *);

#endif /* __BSD__H */
