/*
 * Copyright (c) 2002 Toukan Ltd
 * All rights reserved
 *
 * Authors: Sergey Lyubka
 * Description:
 *   System V RELEASE 4 - specific code.
 *   this file is a part of xtrace project
 *
 * $Id: svr4.h,v 1.3 2002/04/21 08:11:31 drozd Exp $
 * $Log: svr4.h,v $
 * Revision 1.3  2002/04/21 08:11:31  drozd
 * autoconf support. svr4 is still broken
 *
 * Revision 1.2  2002/02/21 13:49:56  drozd
 * function trace enabled
 *
 * Revision 1.1.1.1  2002/02/21 08:55:10  drozd
 * import
 *
 */

#ifndef __SVR4__H
#define __SVR4__H

#include <procfs.h>

/* structs used to do write()s into /proc/<pid>/ctl file */
struct pctl {
	long cmd;
	long data;
};

struct sctl {
	long cmd;
	sysset_t sysset;
};

struct fctl {
	long cmd;
	fltset_t fltset;
};

struct wctl {
	long cmd;
	struct prwatch w;
};

/* SVR4 - specific data */
struct svr4data {
	int cfd, sfd, afd;		/* ctl, status and as file fd's */
	struct prmap *prmap;		/* process map */
	int nregions;			/* number of mapped regions */
	struct sctl sctl;		/* syscalls to be traced */
};

#endif /* __SVR4__H */
